@import "helpers";
:host {
  position: relative;
  background: $header-bg;
}

.side-menu {
  position: sticky;
  top: 0;
  display: flex;
  flex-direction: column;

  &__toggle {
    position: absolute;
    left: calc(100% - 20px);
    top: 20px;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid $border-main;
    background: $casper;
    width: 40px;
    height: 40px;
    font-size: 28px;
    line-height: 1;
    padding-top: 2px;
    transition: 0.4s;

    &:hover {
      background: $white;
    }

    &:focus,
    &:active {
      outline: none;
      border-color: $orange;
    }

    &.collapsed {
      transform: rotateY(180deg);
    }
  }

  &__link {
    position: relative;
    display: flex;
    align-items: center;
    padding: 10px;
    height: 60px;
    white-space: nowrap;
    overflow-x: hidden;
    color: $header-text;

    ::ng-deep {
      svg {
        width: 100%;
        height: 100%;
      }
      path {
        fill: $header-text;
        transition: 0.5s;
      }
    }

    &.active {
      pointer-events: none;
      color: $header-active-text;

      ::ng-deep {
        path {
          fill: $header-active-text;
        }
      }
    }

    &:hover {
      color: $header-hover-text;

      ::ng-deep {
        path {
          fill: $header-hover-text;
        }
      }
    }

    &-name {
      transform: translate(120px);
      opacity: 1;
      transition: 0.5s;

      &.collapsed {
        opacity: 0;
      }
    }

    &-group {
      max-height: 100vh;
      overflow-y: auto;
      @include customScroll($casper, $header-bg);
    }
  }
}

.icon {
  position: absolute;
  left: 0;
  top: 10px;
  width: 120px;
  height: 40px;
  z-index: 1;
}
